Bug 963116 - Gutenprint-Cups - Canon Pixma MP540
Gutenprint-Cups - Canon Pixma MP540
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gutenprint (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 03:34 EDT by joerg.lechner
Modified: 2013-05-20 04:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 04:56:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
driver used: gutenprint-cups 5.2.9-11.fc19 simplified [en] i686 (138.52 KB, application/vnd.cups-ppd)
2013-05-15 06:34 EDT, joerg.lechner
no flags Details
driver used: gutenprint-cups 5.2.9-11.fc19 [en] i686 (488.09 KB, application/vnd.cups-ppd)
2013-05-15 06:37 EDT, joerg.lechner
no flags Details
gutenprint-cups 5.2.9-fc19 simplified [en], LXDE i686 RC1 (138.52 KB, application/vnd.cups-ppd)
2013-05-16 04:58 EDT, joerg.lechner
no flags Details
gutenprint-cups 5.2.9-11.fc19 [en] i686 with cnijfilter-common 3.00-1 i386 (488.09 KB, application/vnd.cups-ppd)
2013-05-16 06:51 EDT, joerg.lechner
no flags Details

  None (edit)
Description joerg.lechner 2013-05-15 03:34:52 EDT
Description of problem: FC19 Beta LXDE Desktop installed from Live CD. Yum update 15-05-2013. Gutenprint-Cups 5.2.9-11.fc19 i686. Canon Printer-Scanner Pixma MP540. For printing only the paper feeder in the back of the printer is served. There is no possibility to use the paper feeder in front of the printer, which is normally used for printing DIN A4. The paper feeder in the back is used i.e. for photo printing. 


Version-Release number of selected component (if applicable):
gutenprint-cups 5.2.9-11.fc19 simplified [en] and gutenprint-cups 5.2.9-11.fc19 [en]

How reproducible: always. Printer must be i.e. Canon Pixma MP540.


Steps to Reproduce:
1. Install Driver for Canon printers (gutenprint-cups)
2. print test page
3.
  
Actual results:
good printing using the paper feeder in the back of the printer

Expected results:

Possibility to switch between the paper feeder in the back and that one in the front of the printer. That one in the front is not reachable.
Additional info:
Comment 1 Jiri Popelka 2013-05-15 04:08:35 EDT
Please attach the ppd file from /etc/cups/ppd/
Comment 2 joerg.lechner 2013-05-15 06:34:22 EDT
Created attachment 748181 [details]
driver used: gutenprint-cups 5.2.9-11.fc19 simplified [en] i686

attachement 1 requested
Comment 3 joerg.lechner 2013-05-15 06:37:38 EDT
Created attachment 748182 [details]
driver used: gutenprint-cups 5.2.9-11.fc19 [en] i686

attachement 2 requested
Comment 4 joerg.lechner 2013-05-15 06:42:40 EDT
Sorry, I have made a fault. I tested before reloading after the yum extender update. i.e. after gutenprint-cups update to ver.5.2.9-11.

Now with ver. 5.2.9-11 there at least I have the problem that the printer uses the paper feed in front (A4 paper feed), but I can not find a switch to use the paper feed in the back (variable size), i.e. for photo prints.
Comment 5 joerg.lechner 2013-05-16 04:48:40 EDT
very strange. I have now installed the new build from "F19 LXDM Live RC1". Run yum extender (updated all files which where to find at 9:00 UTC), reloaded the system.Gutenprint-Cups Ver. 5.2.9-11.fc19 simplified [en]. Now only the backside paper feeder can be used. No chance to find the paper feeder in front of the Canon printer MP540. I attach the ppd file.
Comment 6 joerg.lechner 2013-05-16 04:58:50 EDT
Created attachment 748670 [details]
gutenprint-cups 5.2.9-fc19 simplified [en], LXDE i686 RC1
Comment 7 joerg.lechner 2013-05-16 06:46:41 EDT
To print successful prints with this Canon printer additional to Gutenprint-Cups from the Canon Linux Driver the file cnijfilter-common-3.00-1.i386.rpm has to be installed. Description of this file:
"IJ Printer Driver for Linux.
This IJ Printer Driver provides printing functions for Canon Inkjet
printers operating under the CUPS (Common UNIX Printing System) environment"

Without this File the print result is catastrophic.

This RPM you can find and download:
http://www.canon.de/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MP_series/PIXMA_MP540.aspx?DLtcmuri=tcm:83-738699&page=1&type=download

The source You will find (according to an information from Canon support):
http://support-au.canon.com.au/contents/AU/EN/0100160604.html

But still only the paper feeder in the back is used. I still don't find a switch to use also the paper feeder in front of the printer.
Comment 8 joerg.lechner 2013-05-16 06:51:19 EDT
Created attachment 748743 [details]
gutenprint-cups 5.2.9-11.fc19 [en] i686 with cnijfilter-common 3.00-1 i386
Comment 9 joerg.lechner 2013-05-16 16:27:12 EDT
Current test showed that JPEG files are printed from the front paper feeder (DIN A4) and text files are printed from the back paper feeder (variable format). This should be the changed to the other way round. The variable format paper feeder (back one) is better used for photos - JPEGs. In addition it would be nice to be able to choose the paper feeder one wants to print.
Print quality is ok, the errors I have seen some hours ago didn't appear again (there where some yum updates - reason?).
Comment 10 joerg.lechner 2013-05-18 11:17:30 EDT
Good News:
Installed LXDE Live CD i686 RC2. Installed also libreoffice 4.0.3.3-2.fc19, Gimp 2.8.4-3.fc19. Yum extender update.
Now I can see rear tray and cassette. Tested with Firefox, Gimp, Libreoffice writer: All prints fom rear tray and cassette ok. I have also tested abiword 2.8.6 found it ok. mtpaint 3.40 I didn't get to print (I think problem of mtprint). Fine, I am glad.
Comment 11 Tim Waugh 2013-05-20 04:56:14 EDT
So it's all working correctly now as far as gutenprint goes?  Great, thanks for reporting back.

Note You need to log in before you can comment on or make changes to this bug.